> ## Documentation Index
> Fetch the complete documentation index at: https://www.vozo.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# État de la requête

> Query job status



## OpenAPI

````yaml GET /v1/video_generation/{task_id}
openapi: 3.1.0
info:
  title: Vozo API
  description: API for Generating, Editing and Localizing Talking Videos.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.vozo.ai
security:
  - bearerAuth: []
paths:
  /v1/video_generation/{task_id}:
    get:
      description: Query job status
      parameters:
        - name: task_id
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Job Status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobStatus'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    JobStatus:
      required:
        - status
      type: object
      properties:
        status:
          description: 'Current job status: pending, processing, done, failed'
          type: string
          enum:
            - pending
            - processing
            - done
            - failed
        video_url:
          description: >-
            When job is finished, the output video could be download using this
            URL.
          type: string
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        serverTs:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: APIKey
      description: >-
        Bearer authentication header of the form Bearer <api_key>, where
        <api_key> is your API Key. The token in the sample code is referring to
        this api_key as well.

````